clang 10.0.0git

Public Member Functions | List of all members
clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause > Class Template Reference

Iterates over a filtered subrange of clauses applied to a directive. More...

`#include "clang/AST/StmtOpenMP.h"`

Inheritance diagram for clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >:
[legend]
Collaboration diagram for clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >:
[legend]

## Public Member Functions
| specific_clause_iterator (ArrayRef< OMPClause *> Clauses)
const SpecificClause * | operator* () const
const SpecificClause * | operator-> () const
specific_clause_iterator & | operator++ ()

## Detailed Description

### template<typename SpecificClause>
class clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >

Iterates over a filtered subrange of clauses applied to a directive.

This iterator visits only clauses of type SpecificClause.

Definition at line 153 of file StmtOpenMP.h.

## Constructor & Destructor Documentation

## ◆ specific_clause_iterator()

template<typename SpecificClause >

clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >::specific_clause_iterator | ( | ArrayRef< OMPClause *> | Clauses | ) |
| inline explicit

Definition at line 167 of file StmtOpenMP.h.

## Member Function Documentation

## ◆ operator*()

template<typename SpecificClause >

const SpecificClause* clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >::operator* | ( |  | ) | const
| inline

Definition at line 173 of file StmtOpenMP.h.

## ◆ operator++()

template<typename SpecificClause >

specific_clause_iterator& clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >::operator++ | ( |  | ) |
| inline

Definition at line 178 of file StmtOpenMP.h.

## ◆ operator->()

template<typename SpecificClause >

const SpecificClause* clang::OMPExecutableDirective::specific_clause_iterator< SpecificClause >::operator-> | ( |  | ) | const
| inline

Definition at line 176 of file StmtOpenMP.h.

The documentation for this class was generated from the following file:

- include/clang/AST/StmtOpenMP.h